Subject: Re: [PATCH] To make GIT-VERSION-FILE, search for git more widely

From: Johannes Sixt <[email-masked]>
Date: Thu, 07 May 2009 10:47:04 +0200

Junio C Hamano schrieb:
> Matthias Andree <[email-masked]> writes:
> 
>> Problem: when git is installed into /usr/local/bin, running 'sudo make
>> install' won't find git in $PATH (because sudo strips PATH, for instance
>> on openSUSE 11.1, and doesn't include /usr/local/whatever).
> 
> That sounds like a bug/misfeature in sudo (which I do not use) to me.

sudo resets the environment, in particular also PATH. Why would this be a bug?

Current distros set env_reset in /etc/soduers for a reason. Not that I
know the reason in detail, but I won't claim that I'm more clever with
regards to security issues than distro packagers; so I trust that if they
do it, then it makes sense.

-- Hannes